# PO-FETCH

NAME
SYNOPSIS
DESCRIPTION
OPTIONS
AUTHOR
REPORTING BUGS
COPYRIGHT
SEE ALSO

## NAME

po-fetch - fetches a set of PO files from a translation project’s site

## SYNOPSIS

po-fetch [OPTION...] TP DOMAIN

po-fetch [OPTION...] Weblate BASE-URL PROJECT COMPONENT

po-fetch [OPTION...] git BASE-URL BRANCH SUBDIR

## DESCRIPTION

Fetches a set of PO files, produced by translators, from a translation project’s site on the internet, and updates the LINGUAS file accordingly.

The first argument indicates the kind of translation project:

| TP |  | denotes the Translation Project (translationproject.org).

Weblate

denotes a Weblate instance.

| git |  | denotes a web front-end to a git repository (such as a gitweb instance, a cgit instance, or a GitLab or GitHub or Forgejo instance).

## OPTIONS

| --git |  | Make changes in the git index, to prepare for a git commit.

Output files location:

The PO files and the LINGUAS file are stored in the current directory.

Informative output:

| --help |  | Show this help text. |

--version

Show version and authorship information.

## AUTHOR

Written by Bruno Haible.

## REPORTING BUGS

Report bugs in the bug tracker at <https://savannah.gnu.org/projects/gettext> or by email to <bug-gettext@gnu.org>.

## COPYRIGHT

Copyright © 2002-2025 Free Software Foundation, Inc. License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

## SEE ALSO

The full documentation for po-fetch is maintained as a Texinfo manual. If the info and po-fetch programs are properly installed at your site, the command

info po-fetch

should give you access to the complete manual.